Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008177 [DCSS] Patches minor always 2014-02-18 21:27 2014-02-24 22:55
Reporter rubinko View Status public  
Assigned To sgrunt
Priority normal Resolution done  
Status resolved   Product Branch 0.16 ancient branch
Summary 0008177: Salamander Simulacra swim through lava
Description (playerName:rubinko)
in Gehenna, made some Salamander simulacra.
Watched them follow me through lava.

Pretty sure icy copies of salamanders should not be able to do that.
Additional Information
Tags No tags attached.
Attached Files jpg file icon Inappropriate Locomotion.jpg [^] (177,165 bytes) 2014-02-18 21:27
? file icon 0001-Fix-salamander-zombies-swimming-through-lava-8177.patch [^] (1,619 bytes) 2014-02-22 13:37 [Show Content]

- Relationships

-  Notes
(0025343)
Grandiloquent Gentleman (reporter)
2014-02-19 01:42

Are said simulacrum able to swim through water as well?
(0025346)
rubinko (reporter)
2014-02-20 22:00

the salamander simulacra cannot swim through water, just lava (verified in wizmode).
(0025347)
rubinko (reporter)
2014-02-20 22:06

whoops put the wrong product branch. This bug was in trunk(.14).
(0025364)
jmbto (reporter)
2014-02-22 13:36

Here is a patch.
Salamander zombies now avoid lava. Confusing them near lava does incinerate them.
(0025407)
sgrunt (administrator)
2014-02-24 22:44

This is too narrow a patch - I'd prefer checks against anything that normally lives in lava and can be zombified in case we have more monsters fitting that description in the future, and there are other habitable square checks involving zombies that aren't accounted for here.
(0025408)
sgrunt (administrator)
2014-02-24 22:55

0.14-a0-2803-g322618e does a more thorough job of fixing the relevant issues.

- Issue History
Date Modified Username Field Change
2014-02-18 21:27 rubinko New Issue
2014-02-18 21:27 rubinko File Added: Inappropriate Locomotion.jpg
2014-02-19 01:42 Grandiloquent Gentleman Note Added: 0025343
2014-02-20 22:00 rubinko Note Added: 0025346
2014-02-20 22:06 rubinko Note Added: 0025347
2014-02-22 13:36 jmbto Note Added: 0025364
2014-02-22 13:37 jmbto File Added: 0001-Fix-salamander-zombies-swimming-through-lava-8177.patch
2014-02-23 11:51 MarvinPA Category Bug Report => Patches
2014-02-24 22:44 sgrunt Note Added: 0025407
2014-02-24 22:55 sgrunt Note Added: 0025408
2014-02-24 22:55 sgrunt Assigned To => sgrunt
2014-02-24 22:55 sgrunt Status new => resolved
2014-02-24 22:55 sgrunt Resolution open => done
2014-02-24 22:55 sgrunt Fixed in Branch => 0.14 development branch


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker